spa_audio_info Struct Reference
SPA » Parameters

## Data Fields

uint32_t | media_type
uint32_t | media_subtype
union {
struct spa_audio_info_raw raw
struct spa_audio_info_dsp dsp
struct spa_audio_info_iec958 iec958
struct spa_audio_info_dsd dsd
} | info

## Field Documentation

## media_type

uint32_t spa_audio_info::media_type

## media_subtype

uint32_t spa_audio_info::media_subtype

## raw

struct spa_audio_info_raw spa_audio_info::raw

## dsp

struct spa_audio_info_dsp spa_audio_info::dsp

## iec958

struct spa_audio_info_iec958 spa_audio_info::iec958

## dsd

struct spa_audio_info_dsd spa_audio_info::dsd

##

union { ... } spa_audio_info::info

The documentation for this struct was generated from the following file:

- spa/param/audio/format.h